import pygame
import time
import matplotlib.pyplot as plt

pygame.init()
screen  = pygame.display.set_mode((700, 700))
pygame.display.set_caption('Check-Display')
screen.fill((255,255,255))
pygame.display.flip()

#
#    リフレッシュレート60Hzの場合のリフレッシュ間隔：　ナノ秒／回
#
d_time = (10**9) / 60  
d_time /= 2                  #    リフレッシュ間に２回のflip

state_id = 0                 #     提示画像の切り替え用
t1 = time.perf_counter_ns()  #     t1の初期値
while True:
    if state_id == 0:
        state_id = 1
    else:
        state_id = 0
    screen.fill((255,255,255))
    if state_id == 0:
        pygame.draw.line(screen, (0,0,0), (10, 350), (690, 350), width=10)
    else:
        pygame.draw.line(screen, (0,0,0), (350,10), (350, 690), width=10)
    t2 = t1
    while t2 < t1 + d_time:            #     flipの間隔をd_timeに調整
        t2 = time.perf_counter_ns()
    pygame.display.flip()
    t1 = t2
        
    ck = False
    for e in pygame.event.get():
        if e.type == pygame.QUIT:    #   Windowのcloseボタンがクリックされたか
            ck = True
    if ck:
        break
        
pygame.quit()

